All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models
Class IconAdapter

    com.sas.swing.models.IconAdapter

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable, javax.swing.Icon

    public class IconAdapter

implements com.sas.util.transforms.TransformInterface, javax.swing.Icon

See Also:
  Serialized Form

Field Summary
`static IconAdapter` | `defaultInstance`
`protected com.sas.visuals.IconInterface` | `iconValue`

Constructor Summary
`IconAdapter()`
`IconAdapter(com.sas.visuals.IconInterface icon)`

Method Summary
`com.sas.visuals.IconInterface` | `getIcon()`
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`protected javax.swing.Icon` | `newIcon(com.sas.visuals.IconInterface i)`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`
`java.lang.Object` | `transform(java.lang.Object o)` Transform an object from an IconInterface to an javax.swing.Icon object.

Field Detail

### defaultInstance

    public static final IconAdapter defaultInstance

### iconValue

    protected com.sas.visuals.IconInterface iconValue

Constructor Detail

### IconAdapter

    public IconAdapter()

### IconAdapter

    public IconAdapter(com.sas.visuals.IconInterface icon)

Method Detail

### getIcon

    public com.sas.visuals.IconInterface getIcon()

### newIcon

    protected javax.swing.Icon newIcon(com.sas.visuals.IconInterface i)

### transform

    public java.lang.Object transform(java.lang.Object o)
                               throws com.sas.util.transforms.TransformException

  Transform an object from an IconInterface to an javax.swing.Icon object. Override newIcon( IconInterface ) to change the Icon adapter returned.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `o` - a IconInterface object
  Returns:
    an Icon object based on the IconInterface object
  Throws:
    `com.sas.util.transforms.TransformException`

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `javax.swing.Icon`

### getIconWidth

    public int getIconWidth()

  Specified by:
    `getIconWidth` in interface `javax.swing.Icon`

### getIconHeight

    public int getIconHeight()

  Specified by:
    `getIconHeight` in interface `javax.swing.Icon`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.